
.namespace s14_HotSpot

function OnActivate()
	
	OPLog.Log("onactivate "..self.Name)
	if self.Name == "back_s13" then
		NavigationManager.SwitchTo(nil,"s13_SearchSite")	
	end
	if self.Name == "raquette" then 
		SequencePlayer.Enabled = true
		SequencePlayer.PlaySequence("GP_1405",nil,nil)
		end	

	if self.Name == "grotte_hotspot" then 
		SequencePlayer.Enabled = true
		SequencePlayer.PlaySequence("GP_1401",nil,nil)
		end	
		if self.Name == "entre_hotspot" then 
		NavigationManager.SwitchTo(nil,"s15_SearchSite")
		end
end
function GetSpecificCursor()

	if	self.Name == "back_s13" then
		return 11,"s13"	
	elseif	self.Name == "grotte_hotspot" or self.Name == "entre_hotspot" then
		return 4,"s15"
	elseif	self.Name == "raquette" then
		return 1
	else
		return CURSOR_AREA_HOTSPOT
	end
end
function OnDropObject()
	OPLog.Log("drop "..self.Name)
	if IsEqualVariables("CurrentObject","InventoryEchelles14") and self.Name == "grotte_hotspot" then
		InventoryManager.RemoveFromInventory("InventoryEchelles14")
		grotte_hotspot.Enabled = false
		SequencePlayer.Enabled = true
		SequencePlayer.PlaySequence("GP_1403",s14_SearchSite,nil)
		echelle.Enabled = true
		entre_hotspot.Enabled = true
		SampleLevel.Set("s14_echelle",true)
		return true
		
	end
end

